For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
        • GETList bulk deletes
        • POSTInitiate a new bulk delete
        • GETFetch a single bulk delete object
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Automation & Bulk ActionsBulk ActionsDelete

Initiate a new bulk delete

||View as Markdown|
POST
https://api.close.com/api/v1/bulk_action/delete/
POST
/api/v1/bulk_action/delete/
$curl -X POST https://api.close.com/api/v1/bulk_action/delete/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "results_limit": null,
> "s_query": {
> "queries": [
> {
> "object_type": "lead",
> "type": "object_type"
> },
> {
> "condition": {
> "mode": "full_words",
> "type": "text",
> "value": "ACME Inc."
> },
> "field": {
> "field_name": "name",
> "object_type": "lead",
> "type": "regular_field"
> },
> "type": "field_condition"
> }
> ],
> "type": "and"
> },
> "sort": [
> {
> "direction": "desc",
> "field": {
> "field_name": "date_created",
> "object_type": "lead",
> "type": "regular_field"
> }
> }
> ]
>}'
1{
2 "bulk_object_type": "lead",
3 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
4 "date_created": "2015-03-16T00:19:50.141000+00:00",
5 "date_updated": "2015-03-16T00:20:09.442000+00:00",
6 "id": "bulkdelete_asdVYCm54A0El829k39e7nIvlCSDDhVLuyb8aspGSET",
7 "n_leads": null,
8 "n_leads_processed": 0,
9 "n_objects": null,
10 "n_objects_processed": 0,
11 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
12 "query": "lead_status:Potential",
13 "results_limit": null,
14 "s_query": {
15 "queries": [
16 {
17 "object_type": "lead",
18 "type": "object_type"
19 },
20 {
21 "condition": {
22 "mode": "full_words",
23 "type": "text",
24 "value": "ACME Inc."
25 },
26 "field": {
27 "field_name": "name",
28 "object_type": "lead",
29 "type": "regular_field"
30 },
31 "type": "field_condition"
32 }
33 ],
34 "type": "and"
35 },
36 "send_done_email": true,
37 "sort": [
38 {
39 "direction": "desc",
40 "field": {
41 "field_name": "date_created",
42 "object_type": "lead",
43 "type": "regular_field"
44 }
45 }
46 ],
47 "status": "created",
48 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
49}

Use "send_done_email": false if you don’t want to get a confirmation email after the bulk action is done.

Was this page helpful?
Previous

List bulk deletes

Next

Fetch a single bulk delete object

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects any.

Response

Successful response
bulk_object_typeenum
Allowed values:
created_bystring or null
date_createddatetime or null
date_updateddatetime or null
idstring
n_leadsinteger or null
n_leads_processedinteger
n_objectsinteger or null
n_objects_processedinteger
organization_idstring
querystring or null
results_limitinteger or null
s_querymap from strings to any
send_done_emailboolean
sortlist of maps from strings to any
statusenum or null
updated_bystring or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error